package com.ruoyi.warehouseBusiness.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 仓库主(修改记录)对象 t_warehousebills_logger
 * 
 * @author ruoyi
 * @date 2021-07-05
 */
public class TWarehousebillsLogger extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long fId;

    /** 业务编号,格式RK+YYYY+YY+NNN,编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用删除单据号，每月从001开始。
RK CK DB HZ 
 */
    @Excel(name = "业务编号")
    private String fBillno;

    /** 报关号 */
    @Excel(name = "报关号")
    private String fCustomsdeclartion;

    /** 原始业务编号,入库时和f_billno 相同，出库 取入库的f_originalbillno */
    @Excel(name = "原始业务编号,入库时和f_billno 相同，出库 取入库的f_originalbillno")
    private String fOriginalbillno;

    /** 制单部门 */
    @Excel(name = "制单部门")
    private Long fDeptid;

    /** 业务所属部门 */
    @Excel(name = "业务所属部门")
    private Long fBsdeptid;

    /** 联系人 */
    @Excel(name = "联系人")
    private String fContacts;

    /** 电话 */
    @Excel(name = "电话")
    private String fTel;

    /** 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name */
    @Excel(name = "客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fCorpid;

    /** 货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效 */
    @Excel(name = "货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效")
    private Long fTocorpid;

    /** 结算方式，默认提取corps中stltypeid	也可以从表t_stltypes中下拉选择，存储id，显示name */
    @Excel(name = "结算方式，默认提取corps中stltypeid	也可以从表t_stltypes中下拉选择，存储id，显示name")
    private Long fStltypeid;

    /** 客户存货编号,格式编号客户编号+YYYY +NNNN，
编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用，每年从001开始 */
    @Excel(name = "客户存货编号")
    private String fBscorpno;

    /** 仓库 */
    @Excel(name = "仓库")
    private Long fWarehouseid;

    /** 仓管人 */
    @Excel(name = "仓管人")
    private String fStorekeeper;

    /** 仓储计费日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "仓储计费日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fChargedate;

    /** 入（出）库日期 */
    @Excel(name = "入", readConverterExp = "出=")
    private Date fBsdate;

    /** 计划件数,由明细表自动合计生成 */
    @Excel(name = "计划件数,由明细表自动合计生成")
    private Long fPlanqty;

    /** 计划毛重,由明细表自动合计生成 */
    @Excel(name = "计划毛重,由明细表自动合计生成")
    private BigDecimal fPlangrossweight;

    /** 计划净重,由明细表自动合计生成 */
    @Excel(name = "计划净重,由明细表自动合计生成")
    private BigDecimal fPlannetweight;

    /** 计划尺码,由明细表自动合计生成 */
    @Excel(name = "计划尺码,由明细表自动合计生成")
    private BigDecimal fPlanvolumn;

    /** 件数,由明细表自动合计生成 */
    @Excel(name = "件数,由明细表自动合计生成")
    private Long fQty;

    /** 毛重，由明细表自动合计生成 */
    @Excel(name = "毛重，由明细表自动合计生成")
    private BigDecimal fGrossweight;

    /** 净重，由明细表自动合计生成 */
    @Excel(name = "净重，由明细表自动合计生成")
    private BigDecimal fNetweight;

    /** 尺码，由明细表自动合计生成 */
    @Excel(name = "尺码，由明细表自动合计生成")
    private BigDecimal fVolumn;

    /** 计费方式(数据字典) */
    @Excel(name = "计费方式(数据字典)")
    private Long fBillingway;

    /** 贸易方式(数据字典),对应t_trademodels  */
    @Excel(name = "贸易方式(数据字典),对应t_trademodels ")
    private Long fTrademodeid;

    /** 经营单位(客户列表) */
    @Excel(name = "经营单位(客户列表)")
    private Long fSbu;

    /** 计费单位(数据字典),下拉选择毛重或净重 */
    @Excel(name = "计费单位(数据字典),下拉选择毛重或净重")
    private String fFeetunit;

    /** 提单号 */
    @Excel(name = "提单号")
    private String fMblno;

    /** 唛头 */
    @Excel(name = "唛头")
    private String fMarks;

    /** 船名航次,CMA/A0001 */
    @Excel(name = "船名航次,CMA/A0001")
    private String fVslvoy;

    /** 到港日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到港日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEta;

    /** 报关单号 */
    @Excel(name = "报关单号")
    private String fCustomno;

    /** 是否过磅(数据字典)默认 F ,过磅T 否者F 下拉选择 */
    @Excel(name = "是否过磅(数据字典)默认 F ,过磅T 否者F 下拉选择")
    private String fIfweigh;

    /** 是否质押(数据字典),默认 F ,质押T 否者F 下拉选择 */
    @Excel(name = "是否质押(数据字典),默认 F ,质押T 否者F 下拉选择")
    private String fIfpledge;

    /** 是否破损(数据字典),默认F否则T */
    @Excel(name = "是否破损(数据字典),默认F否则T")
    private String fIfdamage;

    /** 银行名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name */
    @Excel(name = "银行名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private String fBankcorpid;

    /** 单据类型(数据字典)SJRK（入库） SJCK（实际出库） CKDB（调拨） HQZY（货权转移） */
    @Excel(name = "单据类型(数据字典)SJRK", readConverterExp = "入=库")
    private String fBilltype;

    /** 状态(数据字典),N 入（出）库中，T入（出）库完成，状态为完成不能删除，状态变化，用邮件、微信通知客户。 */
    @Excel(name = "状态(数据字典),N 入", readConverterExp = "出=")
    private Long fBillstatus;

    /** $column.columnComment */
    @Excel(name = "状态(数据字典),N 入", readConverterExp = "$column.readConverterExp()")
    private Integer fItemsStatus;

    /** 删除状态 */
    private String delFlag;

    /** 仓储费计费截至日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "仓储费计费截至日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBillingDeadline;

    /** 明细品名合计 */
    @Excel(name = "明细品名合计")
    private String fProductName;

    /** 审核日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fReviewDate;

    /** 车号 */
    @Excel(name = "车号")
    private String fTruckno;

    /** 司机名 */
    @Excel(name = "司机名")
    private String fDriverName;

    /** 司机电话 */
    @Excel(name = "司机电话")
    private String fDriverTel;

    /** 司机身份证 */
    @Excel(name = "司机身份证")
    private String fDriverIdCar;

    /** 业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别) */
    @Excel(name = "业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别)")
    private String fBusinessType;

    /** 劳务 */
    @Excel(name = "劳务")
    private Long fLabour;

    /** 车队 */
    @Excel(name = "车队")
    private Long fFleet;

    /** 调拨仓库使用的 */
    @Excel(name = "调拨仓库使用的")
    private Long fInwarehouseid;

    /** 业务时间 HH:MM:SS */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务时间 HH:MM:SS", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBstime;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private Long fCartype;

    /** 货物品名，存储id 显示名称	t_goods 中的no或 name，模糊查找选择后，存储f_id，显示name */
    @Excel(name = "货物品名，存储id 显示名称	t_goods 中的no或 name，模糊查找选择后，存储f_id，显示name")
    private Long fGoodsid;

    /** 新贸易方式(数据字典),对应t_trademodels  */
    @Excel(name = "新贸易方式(数据字典),对应t_trademodels ")
    private Long fNewTrademodeid;

    /** 起运港 */
    @Excel(name = "起运港")
    private Long fLoadportid;

    /** 目的港 */
    @Excel(name = "目的港")
    private Long fDestportid;

    /** 运输条款 */
    @Excel(name = "运输条款")
    private String fServiceitems;

    /** 开票人 */
    @Excel(name = "开票人")
    private String fInvoceobj;

    /** 箱内签收单 */
    @Excel(name = "箱内签收单")
    private Integer fSign;

    /** 订舱人扣货 */
    @Excel(name = "订舱人扣货")
    private Integer fDetentioncargo;

    /** 订舱备注 */
    @Excel(name = "订舱备注")
    private String fBooksmarks;

    /** 发货人全称 */
    @Excel(name = "发货人全称")
    private String fShippername;

    /** 联系人 */
    @Excel(name = "联系人")
    private String fShipperattn;

    /** 发货人电话 */
    @Excel(name = "发货人电话")
    private String fShippertel;

    /** 收货人全称 */
    @Excel(name = "收货人全称")
    private String fConsigneername;

    /** 联系人 */
    @Excel(name = "联系人")
    private String fConsigneeattn;

    /** 收货人电话 */
    @Excel(name = "收货人电话")
    private String fConsigneetel;

    /** 是否办理保险 */
    @Excel(name = "是否办理保险")
    private String fInsurance;

    /** 保险金额 */
    @Excel(name = "保险金额")
    private Long fInsuranceamt;

    /** 截港日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截港日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fClosedate;

    /** 截单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fDocmentdate;

    /** t_vessel id */
    @Excel(name = "t_vessel id")
    private Long fVslid;

    /** t_voyage id */
    @Excel(name = "t_voyage id")
    private Long fVoyid;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private Integer fTypeid;

    /** 付款方式 */
    @Excel(name = "付款方式")
    private Integer fPaymode;

    /** 航线 */
    @Excel(name = "航线")
    private Integer fLaneid;

    /** 箱量(合计拼接得来) */
    @Excel(name = "箱量(合计拼接得来)")
    private String fCntval;

    /** 箱使日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "箱使日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date freeContainerDate;

    /** 业务归属(取自数据字典) */
    @Excel(name = "业务归属(取自数据字典)")
    private Long fBusinessAttribution;

    /** 监管单位(取自客户资料) */
    @Excel(name = "监管单位(取自客户资料)")
    private Long fSupervisionUnit;

    /** 申报要素(取自数据字典) */
    @Excel(name = "申报要素(取自数据字典)")
    private String fDeclarationElements;

    /** 料件号 */
    @Excel(name = "料件号")
    private String fPartNumber;

    /** 是否法检(取自数据字典) */
    @Excel(name = "是否法检(取自数据字典)")
    private Long fIfinspection;

    /** 货值 */
    @Excel(name = "货值")
    private BigDecimal fValue;

    /** 过磅时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "过磅时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fWeighingDate;

    /** 是否取样 */
    @Excel(name = "是否取样")
    private Long fIfsampling;

    /** 送样时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "送样时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendSampleDate;

    /** 是否复磅(取数据字典) */
    @Excel(name = "是否复磅(取数据字典)")
    private Long fIfweightRecovery;

    /** 复磅时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "复磅时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date weightRecoveryDate;

    /** 新加审批(只审批主表标星字段)2暂存3审批驳回、4提交、5审批中、6审批通过 */
    @Excel(name = "新加审批(只审批主表标星字段)2暂存3审批驳回、4提交、5审批中、6审批通过")
    private Long warehouseStatus;

    /** 审批提交次数 */
    @Excel(name = "审批提交次数")
    private Long fTimes;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String fDateChanged;

    /** 仓储费计费类型(默认1实际入库日期，0最早入库日期) */
    @Excel(name = "仓储费计费类型(默认1实际入库日期，0最早入库日期)")
    private String fChargetype;

    /** 过磅重量 */
    @Excel(name = "过磅重量")
    private BigDecimal fWeighWeight;

    /** 预计到厂日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计到厂日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fPredictBranch;

    /** 等级 */
    @Excel(name = "等级")
    private String fGrade;

    /** 送货详情 */
    @Excel(name = "送货详情")
    private String fDeliveryDetails;

    /** 业务员id */
    @Excel(name = "业务员id")
    private Long fSalesmanId;

    /** 入库明细审批状态 */
    @Excel(name = "入库明细审批状态")
    private Integer fItemstatus;

    /** 订单修改审批状态 */
    @Excel(name = "订单修改审批状态")
    private Integer fUpdeteStatus;

    /** 订单修改提交审批状态 */
    @Excel(name = "订单修改提交审批状态")
    private Integer fSubmitUpdate;

    /** 订单删除审批状态 */
    @Excel(name = "订单删除审批状态")
    private Integer fDeleteStatus;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfBillno(String fBillno) 
    {
        this.fBillno = fBillno;
    }

    public String getfBillno() 
    {
        return fBillno;
    }
    public void setfCustomsdeclartion(String fCustomsdeclartion) 
    {
        this.fCustomsdeclartion = fCustomsdeclartion;
    }

    public String getfCustomsdeclartion() 
    {
        return fCustomsdeclartion;
    }
    public void setfOriginalbillno(String fOriginalbillno) 
    {
        this.fOriginalbillno = fOriginalbillno;
    }

    public String getfOriginalbillno() 
    {
        return fOriginalbillno;
    }
    public void setfDeptid(Long fDeptid) 
    {
        this.fDeptid = fDeptid;
    }

    public Long getfDeptid() 
    {
        return fDeptid;
    }
    public void setfBsdeptid(Long fBsdeptid) 
    {
        this.fBsdeptid = fBsdeptid;
    }

    public Long getfBsdeptid() 
    {
        return fBsdeptid;
    }
    public void setfContacts(String fContacts) 
    {
        this.fContacts = fContacts;
    }

    public String getfContacts() 
    {
        return fContacts;
    }
    public void setfTel(String fTel) 
    {
        this.fTel = fTel;
    }

    public String getfTel() 
    {
        return fTel;
    }
    public void setfCorpid(Long fCorpid) 
    {
        this.fCorpid = fCorpid;
    }

    public Long getfCorpid() 
    {
        return fCorpid;
    }
    public void setfTocorpid(Long fTocorpid) 
    {
        this.fTocorpid = fTocorpid;
    }

    public Long getfTocorpid() 
    {
        return fTocorpid;
    }
    public void setfStltypeid(Long fStltypeid) 
    {
        this.fStltypeid = fStltypeid;
    }

    public Long getfStltypeid() 
    {
        return fStltypeid;
    }
    public void setfBscorpno(String fBscorpno) 
    {
        this.fBscorpno = fBscorpno;
    }

    public String getfBscorpno() 
    {
        return fBscorpno;
    }
    public void setfWarehouseid(Long fWarehouseid) 
    {
        this.fWarehouseid = fWarehouseid;
    }

    public Long getfWarehouseid() 
    {
        return fWarehouseid;
    }
    public void setfStorekeeper(String fStorekeeper) 
    {
        this.fStorekeeper = fStorekeeper;
    }

    public String getfStorekeeper() 
    {
        return fStorekeeper;
    }
    public void setfChargedate(Date fChargedate) 
    {
        this.fChargedate = fChargedate;
    }

    public Date getfChargedate() 
    {
        return fChargedate;
    }
    public void setfBsdate(Date fBsdate) 
    {
        this.fBsdate = fBsdate;
    }

    public Date getfBsdate() 
    {
        return fBsdate;
    }
    public void setfPlanqty(Long fPlanqty) 
    {
        this.fPlanqty = fPlanqty;
    }

    public Long getfPlanqty() 
    {
        return fPlanqty;
    }
    public void setfPlangrossweight(BigDecimal fPlangrossweight) 
    {
        this.fPlangrossweight = fPlangrossweight;
    }

    public BigDecimal getfPlangrossweight() 
    {
        return fPlangrossweight;
    }
    public void setfPlannetweight(BigDecimal fPlannetweight) 
    {
        this.fPlannetweight = fPlannetweight;
    }

    public BigDecimal getfPlannetweight() 
    {
        return fPlannetweight;
    }
    public void setfPlanvolumn(BigDecimal fPlanvolumn) 
    {
        this.fPlanvolumn = fPlanvolumn;
    }

    public BigDecimal getfPlanvolumn() 
    {
        return fPlanvolumn;
    }
    public void setfQty(Long fQty) 
    {
        this.fQty = fQty;
    }

    public Long getfQty() 
    {
        return fQty;
    }
    public void setfGrossweight(BigDecimal fGrossweight) 
    {
        this.fGrossweight = fGrossweight;
    }

    public BigDecimal getfGrossweight() 
    {
        return fGrossweight;
    }
    public void setfNetweight(BigDecimal fNetweight) 
    {
        this.fNetweight = fNetweight;
    }

    public BigDecimal getfNetweight() 
    {
        return fNetweight;
    }
    public void setfVolumn(BigDecimal fVolumn) 
    {
        this.fVolumn = fVolumn;
    }

    public BigDecimal getfVolumn() 
    {
        return fVolumn;
    }
    public void setfBillingway(Long fBillingway) 
    {
        this.fBillingway = fBillingway;
    }

    public Long getfBillingway() 
    {
        return fBillingway;
    }
    public void setfTrademodeid(Long fTrademodeid) 
    {
        this.fTrademodeid = fTrademodeid;
    }

    public Long getfTrademodeid() 
    {
        return fTrademodeid;
    }
    public void setfSbu(Long fSbu) 
    {
        this.fSbu = fSbu;
    }

    public Long getfSbu() 
    {
        return fSbu;
    }
    public void setfFeetunit(String fFeetunit) 
    {
        this.fFeetunit = fFeetunit;
    }

    public String getfFeetunit() 
    {
        return fFeetunit;
    }
    public void setfMblno(String fMblno) 
    {
        this.fMblno = fMblno;
    }

    public String getfMblno() 
    {
        return fMblno;
    }
    public void setfMarks(String fMarks) 
    {
        this.fMarks = fMarks;
    }

    public String getfMarks() 
    {
        return fMarks;
    }
    public void setfVslvoy(String fVslvoy) 
    {
        this.fVslvoy = fVslvoy;
    }

    public String getfVslvoy() 
    {
        return fVslvoy;
    }
    public void setfEta(Date fEta) 
    {
        this.fEta = fEta;
    }

    public Date getfEta() 
    {
        return fEta;
    }
    public void setfCustomno(String fCustomno) 
    {
        this.fCustomno = fCustomno;
    }

    public String getfCustomno() 
    {
        return fCustomno;
    }
    public void setfIfweigh(String fIfweigh) 
    {
        this.fIfweigh = fIfweigh;
    }

    public String getfIfweigh() 
    {
        return fIfweigh;
    }
    public void setfIfpledge(String fIfpledge) 
    {
        this.fIfpledge = fIfpledge;
    }

    public String getfIfpledge() 
    {
        return fIfpledge;
    }
    public void setfIfdamage(String fIfdamage) 
    {
        this.fIfdamage = fIfdamage;
    }

    public String getfIfdamage() 
    {
        return fIfdamage;
    }
    public void setfBankcorpid(String fBankcorpid) 
    {
        this.fBankcorpid = fBankcorpid;
    }

    public String getfBankcorpid() 
    {
        return fBankcorpid;
    }
    public void setfBilltype(String fBilltype) 
    {
        this.fBilltype = fBilltype;
    }

    public String getfBilltype() 
    {
        return fBilltype;
    }
    public void setfBillstatus(Long fBillstatus) 
    {
        this.fBillstatus = fBillstatus;
    }

    public Long getfBillstatus() 
    {
        return fBillstatus;
    }
    public void setfItemsStatus(Integer fItemsStatus) 
    {
        this.fItemsStatus = fItemsStatus;
    }

    public Integer getfItemsStatus() 
    {
        return fItemsStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setfBillingDeadline(Date fBillingDeadline) 
    {
        this.fBillingDeadline = fBillingDeadline;
    }

    public Date getfBillingDeadline() 
    {
        return fBillingDeadline;
    }
    public void setfProductName(String fProductName) 
    {
        this.fProductName = fProductName;
    }

    public String getfProductName() 
    {
        return fProductName;
    }
    public void setfReviewDate(Date fReviewDate) 
    {
        this.fReviewDate = fReviewDate;
    }

    public Date getfReviewDate() 
    {
        return fReviewDate;
    }
    public void setfTruckno(String fTruckno) 
    {
        this.fTruckno = fTruckno;
    }

    public String getfTruckno() 
    {
        return fTruckno;
    }
    public void setfDriverName(String fDriverName) 
    {
        this.fDriverName = fDriverName;
    }

    public String getfDriverName() 
    {
        return fDriverName;
    }
    public void setfDriverTel(String fDriverTel) 
    {
        this.fDriverTel = fDriverTel;
    }

    public String getfDriverTel() 
    {
        return fDriverTel;
    }
    public void setfDriverIdCar(String fDriverIdCar) 
    {
        this.fDriverIdCar = fDriverIdCar;
    }

    public String getfDriverIdCar() 
    {
        return fDriverIdCar;
    }
    public void setfBusinessType(String fBusinessType) 
    {
        this.fBusinessType = fBusinessType;
    }

    public String getfBusinessType() 
    {
        return fBusinessType;
    }
    public void setfLabour(Long fLabour) 
    {
        this.fLabour = fLabour;
    }

    public Long getfLabour() 
    {
        return fLabour;
    }
    public void setfFleet(Long fFleet) 
    {
        this.fFleet = fFleet;
    }

    public Long getfFleet() 
    {
        return fFleet;
    }
    public void setfInwarehouseid(Long fInwarehouseid) 
    {
        this.fInwarehouseid = fInwarehouseid;
    }

    public Long getfInwarehouseid() 
    {
        return fInwarehouseid;
    }
    public void setfBstime(Date fBstime) 
    {
        this.fBstime = fBstime;
    }

    public Date getfBstime() 
    {
        return fBstime;
    }
    public void setfCartype(Long fCartype) 
    {
        this.fCartype = fCartype;
    }

    public Long getfCartype() 
    {
        return fCartype;
    }
    public void setfGoodsid(Long fGoodsid) 
    {
        this.fGoodsid = fGoodsid;
    }

    public Long getfGoodsid() 
    {
        return fGoodsid;
    }
    public void setfNewTrademodeid(Long fNewTrademodeid) 
    {
        this.fNewTrademodeid = fNewTrademodeid;
    }

    public Long getfNewTrademodeid() 
    {
        return fNewTrademodeid;
    }
    public void setfLoadportid(Long fLoadportid) 
    {
        this.fLoadportid = fLoadportid;
    }

    public Long getfLoadportid() 
    {
        return fLoadportid;
    }
    public void setfDestportid(Long fDestportid) 
    {
        this.fDestportid = fDestportid;
    }

    public Long getfDestportid() 
    {
        return fDestportid;
    }
    public void setfServiceitems(String fServiceitems) 
    {
        this.fServiceitems = fServiceitems;
    }

    public String getfServiceitems() 
    {
        return fServiceitems;
    }
    public void setfInvoceobj(String fInvoceobj) 
    {
        this.fInvoceobj = fInvoceobj;
    }

    public String getfInvoceobj() 
    {
        return fInvoceobj;
    }
    public void setfSign(Integer fSign) 
    {
        this.fSign = fSign;
    }

    public Integer getfSign() 
    {
        return fSign;
    }
    public void setfDetentioncargo(Integer fDetentioncargo) 
    {
        this.fDetentioncargo = fDetentioncargo;
    }

    public Integer getfDetentioncargo() 
    {
        return fDetentioncargo;
    }
    public void setfBooksmarks(String fBooksmarks) 
    {
        this.fBooksmarks = fBooksmarks;
    }

    public String getfBooksmarks() 
    {
        return fBooksmarks;
    }
    public void setfShippername(String fShippername) 
    {
        this.fShippername = fShippername;
    }

    public String getfShippername() 
    {
        return fShippername;
    }
    public void setfShipperattn(String fShipperattn) 
    {
        this.fShipperattn = fShipperattn;
    }

    public String getfShipperattn() 
    {
        return fShipperattn;
    }
    public void setfShippertel(String fShippertel) 
    {
        this.fShippertel = fShippertel;
    }

    public String getfShippertel() 
    {
        return fShippertel;
    }
    public void setfConsigneername(String fConsigneername) 
    {
        this.fConsigneername = fConsigneername;
    }

    public String getfConsigneername() 
    {
        return fConsigneername;
    }
    public void setfConsigneeattn(String fConsigneeattn) 
    {
        this.fConsigneeattn = fConsigneeattn;
    }

    public String getfConsigneeattn() 
    {
        return fConsigneeattn;
    }
    public void setfConsigneetel(String fConsigneetel) 
    {
        this.fConsigneetel = fConsigneetel;
    }

    public String getfConsigneetel() 
    {
        return fConsigneetel;
    }
    public void setfInsurance(String fInsurance) 
    {
        this.fInsurance = fInsurance;
    }

    public String getfInsurance() 
    {
        return fInsurance;
    }
    public void setfInsuranceamt(Long fInsuranceamt) 
    {
        this.fInsuranceamt = fInsuranceamt;
    }

    public Long getfInsuranceamt() 
    {
        return fInsuranceamt;
    }
    public void setfClosedate(Date fClosedate) 
    {
        this.fClosedate = fClosedate;
    }

    public Date getfClosedate() 
    {
        return fClosedate;
    }
    public void setfDocmentdate(Date fDocmentdate) 
    {
        this.fDocmentdate = fDocmentdate;
    }

    public Date getfDocmentdate() 
    {
        return fDocmentdate;
    }
    public void setfVslid(Long fVslid) 
    {
        this.fVslid = fVslid;
    }

    public Long getfVslid() 
    {
        return fVslid;
    }
    public void setfVoyid(Long fVoyid) 
    {
        this.fVoyid = fVoyid;
    }

    public Long getfVoyid() 
    {
        return fVoyid;
    }
    public void setfTypeid(Integer fTypeid) 
    {
        this.fTypeid = fTypeid;
    }

    public Integer getfTypeid() 
    {
        return fTypeid;
    }
    public void setfPaymode(Integer fPaymode) 
    {
        this.fPaymode = fPaymode;
    }

    public Integer getfPaymode() 
    {
        return fPaymode;
    }
    public void setfLaneid(Integer fLaneid) 
    {
        this.fLaneid = fLaneid;
    }

    public Integer getfLaneid() 
    {
        return fLaneid;
    }
    public void setfCntval(String fCntval) 
    {
        this.fCntval = fCntval;
    }

    public String getfCntval() 
    {
        return fCntval;
    }
    public void setFreeContainerDate(Date freeContainerDate) 
    {
        this.freeContainerDate = freeContainerDate;
    }

    public Date getFreeContainerDate() 
    {
        return freeContainerDate;
    }
    public void setfBusinessAttribution(Long fBusinessAttribution) 
    {
        this.fBusinessAttribution = fBusinessAttribution;
    }

    public Long getfBusinessAttribution() 
    {
        return fBusinessAttribution;
    }
    public void setfSupervisionUnit(Long fSupervisionUnit) 
    {
        this.fSupervisionUnit = fSupervisionUnit;
    }

    public Long getfSupervisionUnit() 
    {
        return fSupervisionUnit;
    }
    public void setfDeclarationElements(String fDeclarationElements) 
    {
        this.fDeclarationElements = fDeclarationElements;
    }

    public String getfDeclarationElements() 
    {
        return fDeclarationElements;
    }
    public void setfPartNumber(String fPartNumber) 
    {
        this.fPartNumber = fPartNumber;
    }

    public String getfPartNumber() 
    {
        return fPartNumber;
    }
    public void setfIfinspection(Long fIfinspection) 
    {
        this.fIfinspection = fIfinspection;
    }

    public Long getfIfinspection() 
    {
        return fIfinspection;
    }
    public void setfValue(BigDecimal fValue) 
    {
        this.fValue = fValue;
    }

    public BigDecimal getfValue() 
    {
        return fValue;
    }
    public void setfWeighingDate(Date fWeighingDate) 
    {
        this.fWeighingDate = fWeighingDate;
    }

    public Date getfWeighingDate() 
    {
        return fWeighingDate;
    }
    public void setfIfsampling(Long fIfsampling) 
    {
        this.fIfsampling = fIfsampling;
    }

    public Long getfIfsampling() 
    {
        return fIfsampling;
    }
    public void setSendSampleDate(Date sendSampleDate) 
    {
        this.sendSampleDate = sendSampleDate;
    }

    public Date getSendSampleDate() 
    {
        return sendSampleDate;
    }
    public void setfIfweightRecovery(Long fIfweightRecovery) 
    {
        this.fIfweightRecovery = fIfweightRecovery;
    }

    public Long getfIfweightRecovery() 
    {
        return fIfweightRecovery;
    }
    public void setWeightRecoveryDate(Date weightRecoveryDate) 
    {
        this.weightRecoveryDate = weightRecoveryDate;
    }

    public Date getWeightRecoveryDate() 
    {
        return weightRecoveryDate;
    }
    public void setWarehouseStatus(Long warehouseStatus) 
    {
        this.warehouseStatus = warehouseStatus;
    }

    public Long getWarehouseStatus() 
    {
        return warehouseStatus;
    }
    public void setfTimes(Long fTimes) 
    {
        this.fTimes = fTimes;
    }

    public Long getfTimes() 
    {
        return fTimes;
    }
    public void setfDateChanged(String fDateChanged) 
    {
        this.fDateChanged = fDateChanged;
    }

    public String getfDateChanged() 
    {
        return fDateChanged;
    }
    public void setfChargetype(String fChargetype) 
    {
        this.fChargetype = fChargetype;
    }

    public String getfChargetype() 
    {
        return fChargetype;
    }
    public void setfWeighWeight(BigDecimal fWeighWeight) 
    {
        this.fWeighWeight = fWeighWeight;
    }

    public BigDecimal getfWeighWeight() 
    {
        return fWeighWeight;
    }
    public void setfPredictBranch(Date fPredictBranch) 
    {
        this.fPredictBranch = fPredictBranch;
    }

    public Date getfPredictBranch() 
    {
        return fPredictBranch;
    }
    public void setfGrade(String fGrade) 
    {
        this.fGrade = fGrade;
    }

    public String getfGrade() 
    {
        return fGrade;
    }
    public void setfDeliveryDetails(String fDeliveryDetails) 
    {
        this.fDeliveryDetails = fDeliveryDetails;
    }

    public String getfDeliveryDetails() 
    {
        return fDeliveryDetails;
    }
    public void setfSalesmanId(Long fSalesmanId) 
    {
        this.fSalesmanId = fSalesmanId;
    }

    public Long getfSalesmanId() 
    {
        return fSalesmanId;
    }
    public void setfItemstatus(Integer fItemstatus) 
    {
        this.fItemstatus = fItemstatus;
    }

    public Integer getfItemstatus() 
    {
        return fItemstatus;
    }
    public void setfUpdeteStatus(Integer fUpdeteStatus) 
    {
        this.fUpdeteStatus = fUpdeteStatus;
    }

    public Integer getfUpdeteStatus() 
    {
        return fUpdeteStatus;
    }
    public void setfSubmitUpdate(Integer fSubmitUpdate) 
    {
        this.fSubmitUpdate = fSubmitUpdate;
    }

    public Integer getfSubmitUpdate() 
    {
        return fSubmitUpdate;
    }
    public void setfDeleteStatus(Integer fDeleteStatus) 
    {
        this.fDeleteStatus = fDeleteStatus;
    }

    public Integer getfDeleteStatus() 
    {
        return fDeleteStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fBillno", getfBillno())
            .append("fCustomsdeclartion", getfCustomsdeclartion())
            .append("fOriginalbillno", getfOriginalbillno())
            .append("fDeptid", getfDeptid())
            .append("fBsdeptid", getfBsdeptid())
            .append("fContacts", getfContacts())
            .append("fTel", getfTel())
            .append("fCorpid", getfCorpid())
            .append("fTocorpid", getfTocorpid())
            .append("fStltypeid", getfStltypeid())
            .append("fBscorpno", getfBscorpno())
            .append("fWarehouseid", getfWarehouseid())
            .append("fStorekeeper", getfStorekeeper())
            .append("fChargedate", getfChargedate())
            .append("fBsdate", getfBsdate())
            .append("fPlanqty", getfPlanqty())
            .append("fPlangrossweight", getfPlangrossweight())
            .append("fPlannetweight", getfPlannetweight())
            .append("fPlanvolumn", getfPlanvolumn())
            .append("fQty", getfQty())
            .append("fGrossweight", getfGrossweight())
            .append("fNetweight", getfNetweight())
            .append("fVolumn", getfVolumn())
            .append("fBillingway", getfBillingway())
            .append("fTrademodeid", getfTrademodeid())
            .append("fSbu", getfSbu())
            .append("fFeetunit", getfFeetunit())
            .append("fMblno", getfMblno())
            .append("fMarks", getfMarks())
            .append("fVslvoy", getfVslvoy())
            .append("fEta", getfEta())
            .append("fCustomno", getfCustomno())
            .append("fIfweigh", getfIfweigh())
            .append("fIfpledge", getfIfpledge())
            .append("fIfdamage", getfIfdamage())
            .append("fBankcorpid", getfBankcorpid())
            .append("fBilltype", getfBilltype())
            .append("fBillstatus", getfBillstatus())
            .append("fItemsStatus", getfItemsStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("fBillingDeadline", getfBillingDeadline())
            .append("fProductName", getfProductName())
            .append("fReviewDate", getfReviewDate())
            .append("fTruckno", getfTruckno())
            .append("fDriverName", getfDriverName())
            .append("fDriverTel", getfDriverTel())
            .append("fDriverIdCar", getfDriverIdCar())
            .append("fBusinessType", getfBusinessType())
            .append("fLabour", getfLabour())
            .append("fFleet", getfFleet())
            .append("fInwarehouseid", getfInwarehouseid())
            .append("fBstime", getfBstime())
            .append("fCartype", getfCartype())
            .append("fGoodsid", getfGoodsid())
            .append("fNewTrademodeid", getfNewTrademodeid())
            .append("fLoadportid", getfLoadportid())
            .append("fDestportid", getfDestportid())
            .append("fServiceitems", getfServiceitems())
            .append("fInvoceobj", getfInvoceobj())
            .append("fSign", getfSign())
            .append("fDetentioncargo", getfDetentioncargo())
            .append("fBooksmarks", getfBooksmarks())
            .append("fShippername", getfShippername())
            .append("fShipperattn", getfShipperattn())
            .append("fShippertel", getfShippertel())
            .append("fConsigneername", getfConsigneername())
            .append("fConsigneeattn", getfConsigneeattn())
            .append("fConsigneetel", getfConsigneetel())
            .append("fInsurance", getfInsurance())
            .append("fInsuranceamt", getfInsuranceamt())
            .append("fClosedate", getfClosedate())
            .append("fDocmentdate", getfDocmentdate())
            .append("fVslid", getfVslid())
            .append("fVoyid", getfVoyid())
            .append("fTypeid", getfTypeid())
            .append("fPaymode", getfPaymode())
            .append("fLaneid", getfLaneid())
            .append("fCntval", getfCntval())
            .append("freeContainerDate", getFreeContainerDate())
            .append("fBusinessAttribution", getfBusinessAttribution())
            .append("fSupervisionUnit", getfSupervisionUnit())
            .append("fDeclarationElements", getfDeclarationElements())
            .append("fPartNumber", getfPartNumber())
            .append("fIfinspection", getfIfinspection())
            .append("fValue", getfValue())
            .append("fWeighingDate", getfWeighingDate())
            .append("fIfsampling", getfIfsampling())
            .append("sendSampleDate", getSendSampleDate())
            .append("fIfweightRecovery", getfIfweightRecovery())
            .append("weightRecoveryDate", getWeightRecoveryDate())
            .append("warehouseStatus", getWarehouseStatus())
            .append("fTimes", getfTimes())
            .append("fDateChanged", getfDateChanged())
            .append("fChargetype", getfChargetype())
            .append("fWeighWeight", getfWeighWeight())
            .append("fPredictBranch", getfPredictBranch())
            .append("fGrade", getfGrade())
            .append("fDeliveryDetails", getfDeliveryDetails())
            .append("fSalesmanId", getfSalesmanId())
            .append("fItemstatus", getfItemstatus())
            .append("fUpdeteStatus", getfUpdeteStatus())
            .append("fSubmitUpdate", getfSubmitUpdate())
            .append("fDeleteStatus", getfDeleteStatus())
            .toString();
    }
}
